=== modified file 'NEWS'
--- NEWS	2009-02-09 20:26:37 +0000
+++ NEWS	2009-02-09 22:39:06 +0000
@@ -24,6 +24,11 @@
       output of the log command in this situation may need to adjust.
       (Neil Martinsen-Burrell)
 
+    * The experimental formats ``1.12-preview`` and ``1.12-preview-rich-root``
+      have been renamed ``development-wt5`` and ``development-wt5-rich-root``
+      respectively, given they are not ready for release in 1.12.
+      (Ian Clatworthy)
+
   NEW FEATURES:
 
     * Add support for filtering `bzr missing` on revisions.  Remote revisions

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2009-01-16 07:50:48 +0000
+++ bzrlib/bzrdir.py	2009-02-09 06:38:29 +0000
@@ -3125,16 +3125,16 @@
     branch_format='bzrlib.branch.BzrBranchFormat7',
     tree_format='bzrlib.workingtree.WorkingTreeFormat4',
     )
-format_registry.register_metadir('1.12-preview',
+format_registry.register_metadir('development-wt5',
     'bzrlib.repofmt.pack_repo.RepositoryFormatKnitPack6',
     help='A working-tree format that supports views and content filtering.',
     branch_format='bzrlib.branch.BzrBranchFormat7',
     tree_format='bzrlib.workingtree_4.WorkingTreeFormat5',
     experimental=True,
     )
-format_registry.register_metadir('1.12-preview-rich-root',
+format_registry.register_metadir('development-wt5-rich-root',
     'bzrlib.repofmt.pack_repo.RepositoryFormatKnitPack6RichRoot',
-    help='A variant of 1.12-preview that supports rich-root data '
+    help='A variant of development-wt5 that supports rich-root data '
          '(needed for bzr-svn).',
     branch_format='bzrlib.branch.BzrBranchFormat7',
     tree_format='bzrlib.workingtree_4.WorkingTreeFormat5',

=== modified file 'bzrlib/tests/test_info.py'
--- bzrlib/tests/test_info.py	2008-12-16 06:31:33 +0000
+++ bzrlib/tests/test_info.py	2009-02-09 06:38:29 +0000
@@ -154,8 +154,8 @@
                     ' rich-root or rich-root-pack'
             elif key in ('knit', 'metaweave'):
                 expected = 'knit or metaweave'
-            elif key in ('1.12-preview', '1.12-preview-rich-root'):
-                expected = '1.12-preview or 1.12-preview-rich-root'
+            elif key in ('development-wt5', 'development-wt5-rich-root'):
+                expected = 'development-wt5 or development-wt5-rich-root'
             self.assertCheckoutDescription(key, expected)
 
     def test_describe_branch_format(self):
@@ -165,10 +165,10 @@
             expected = None
             if key in ('dirstate', 'knit'):
                 expected = 'dirstate or knit'
-            elif key in ('1.9', '1.12-preview'):
-                expected = '1.12-preview or 1.9'
-            elif key in ('1.9-rich-root', '1.12-preview-rich-root'):
-                expected = '1.12-preview-rich-root or 1.9-rich-root'
+            elif key in ('1.9', 'development-wt5'):
+                expected = '1.9 or development-wt5'
+            elif key in ('1.9-rich-root', 'development-wt5-rich-root'):
+                expected = '1.9-rich-root or development-wt5-rich-root'
             self.assertBranchDescription(key, expected)
 
     def test_describe_repo_format(self):
@@ -178,10 +178,10 @@
             expected = None
             if key in ('dirstate', 'knit', 'dirstate-tags'):
                 expected = 'dirstate or dirstate-tags or knit'
-            elif key in ('1.9', '1.12-preview'):
-                expected = '1.12-preview or 1.9'
-            elif key in ('1.9-rich-root', '1.12-preview-rich-root'):
-                expected = '1.12-preview-rich-root or 1.9-rich-root'
+            elif key in ('1.9', 'development-wt5'):
+                expected = '1.9 or development-wt5'
+            elif key in ('1.9-rich-root', 'development-wt5-rich-root'):
+                expected = '1.9-rich-root or development-wt5-rich-root'
             self.assertRepoDescription(key, expected)
 
         format = bzrdir.format_registry.make_bzrdir('metaweave')

